Deploy an Ajax 2.0 net 3.5 web app developed on vista vs2008 to 2003 server

Hi I have an app which works fine in the dev environment on vista. I am trying to deploy it to 2003 server. Just simply adding a deployment project gives a xcopy which errors: Unknown server tag 'asp:ScriptManager'. Can someone please point me to a link which goes through the steps necessary to get the deployment to include the ajax library? thanks
0
ExGliderPilot
10/8/2008 10:02:49 PM
asp.net.ajax-discussion 13973 articles. 1 followers. Follow

1 Replies
984 Views

Similar Articles

[PageSpeed] 22

Hi ExGliderPilot
 
When we deploy the ASP.NET AJAX website to web server, we need to install the AJAX runtime which names System.Web.Extensions to the production server's GAC, and please take notice of the version of System.Web.Extensions should be accordant to the developer machine’s.
 
Links about this topic:
 
http://forums.asp.net/p/1070335/1560066.aspx
http://msmvps.com/blogs/luisabreu/archive/2007/10/26/deployment-problems-with-asp-net-ajax-applications.aspx
http://forums.asp.net/p/1072006/1583248.aspx
http://geekswithblogs.net/influent1/archive/2007/05/16/112544.aspx
 
Thanks.

 


Lance Zhang
Microsoft Online Community Support

Please remember to mark the replies as answers if they help and unmark them if they provide no help.
0
Lance
10/13/2008 7:22:17 AM
Reply:

Similar Artilces:

Deploy 3.5 web app on .NET 3.0 web server?
Hello,I am considering developing an ASP.NET app in VS 2008 using LINQ.  I know LINQ is .NET 3.5 specific but the IIS6 web server I need to deploy to only has .NET 3.0 installed (and I can't change that).So my question: can I compile and deploy a .NET 3.5 app on a web server with .NET 3.0 on it?  If so, how - and is there any official MSFT documentation? thanks,Justin Try this out it may work, if not you won't be using Linq unless they upgrade. http://linqinaction.net/blogs/main/archive/2007/09/05/linq-support-on-net-2.0.aspx- WilliamPlease mark the most helpful rep...

Develop in .NET 3.5...Deploy on .NET 3.0...Assembly strong name issue in web.config
Hi. I develop locally using web developer express 2008. I have .NET 3.5 installed on the development machine.I am trying to deploy to a Windows Server 2003 machine running.NET 3.0.Not surprisingly, I get an error about the strong assembly names referenced all over my web.config when I try to access the site on the production server.I don't think any of my code truly relies on .NET 3.5--it should all be compatible with the 3.0 framework.Here's my error message:Parser Error Message: Could not load file or assembly 'System.Core, Version=3.5.0.0, Culture=neutral, PublicKeyToken=b77...

Will AJAX Extensions 1.0 (for .NET 2.0) be affected by .NET 3.0?
Hello all,I have a web server that has a couple of site running using .NET 2.0 with the AJAX Extensions 1.0 (but not the ControlKit) and I need to install another Web App site that uses .NET 3.0. I need to know if installing .NET 3.0 will affect the sites that currently use 2.0 and the AJAX Extensions 1.0 as these sites are live and any down time would get me in the @~!£$.If there are issues, are there any work arounds? Many Thanks in advance  The .net Framework 3.0 and 3.5 add features to the .net framework 2.0 so installing the additional framework should not cause any pro...

Bad web.config in AJAX.NET 1.0 under .NET 2.0 Express
My setup is MS.NET v2.0 with the C# and Web Express editions of 2005. I also installed the AJAX 1.0 release with the respective toolkit as indicated in the AJAX.NET site. However, when I create a new project I am presented with the usual bare bones default.aspx and the web.config. However the web.config shows a lot of warnings and errors.One of them was being that the "requiredPermission" (or something like that) attribute was not recognized. Somewhere on the net there is a post of a correction to the DotNetConfig.xsd schema file in VS.2005 so I used it and it got rid of THAT warning.&n...

Differences between .net 1, .net 1.1, .net 2.0 and .net 3.0 #2
Hi, This seems to be a common question, but i havent got an answer yet:(Can, any one please explain me the differences between these versions.If you keep your feet firmly on the ground, you'll have trouble putting on your pants! There are too many differences for one email - - from 1.0 to 1.1 (not a whole lot of real change, other than fixes, at least compared to 1.1 to 2.0) With 2.0, there were many new declarative controls, with many new ideas added in With 3.0, it's a superset of 2.0 - instead of replacing the installation completely, it just 'added on' new functionality - I would...

Installation of Visualstudio.net -2003 & 2005 and SqlServer 2000&2005 and .net f\w 3.0 and WSS 3.0 on win 2003 server
My computer has Windows Server 2003 OS with Service pack 2 installed.  I want Installations sequence for installing 1.Visual Studio.Net 2003. 2.Visual Studio.Net 2005. 3.Sql server 2000. 4.Sql Server 2005. 5..Net frame work 3.0. 6.WSS 3.0. 7.Web Parts dll for visual studio.net 2005. Can any one help or give details of installing these and precautions needed to be taken like necessary service packs and updates .because when i tried to install web parts in Visual Studio.Net 2005. the setup was unsuccessful and reason was the setup is telling that "unable to detect visual st...

Web service works from VS Development server but not on IIS
Hello, I have developed a simple web service that has one method which calls another web service outside of my network.The outside web service uses WSE 3.0 and I have installed x509 certificates locally. While running the web service from Visual Studio 2005 in the ASP.net Devlopment Server everything works fine.... however, as soon as I deploy it to another server in IIS, I can't make the call to the outside service. I get this  exception: System.Net.WebException: The underlying connection was closed: Could not establish trust relationship for the SSL/TLS secure channel. ---&...

Can we deploy a .net 1.1 app to a .net 2.0 server?
Hi, We have been hosting an app on a server that has ASP and ASP.net 1.1 support.  We are now moving to an ISP that has ASP, ASP.net 1.1 and ASP.Net 2.0 plans.  We will soon migrate the development environment to VS 2005.  However, today we use VS 2003.  My question is can we initially deply to a server that has .net 2.0 support?  Are the 2.0 libs fully backward compatible? jerry    You can deploy a 1.1 app to a server runnuing both 1.1 and 2.0 by setting the framework version for the application on the server.  You can deploy many (bu...

.net 3.5 application in virtual directory under .net 2.0 app
Hi. Been up all night trying to get my head around this problem... Running  into a few problems with this scanario, where a 3.5 app is located below a 2.0 app. Is there any way to isolate them? The links on the web-site work in such a way that the 3.5 app looks to be part of the web in a navigatable hierachy. I have tried a few things, but using <location> is not part of a solution I can find due to the differing <configSections> that point to different versions of the assemblies.The app work on the web server if I use a URL that points to *its* root (not via ...

Old AJAX in .NET 1.1 compatibility with .NET framework 2.0. Ajax does not work always ....................
Hello,I have converted the web site from .NET 1.1 to .NET 2.0. Some of the pages in the web site use AJAX which was developed in .NET 1.1Ajax does not work smoothly in .NET 2.0. Do I have to use ATLAS or is there any fix I can use to make the AJAX work ?Please let me know. Many thanks in advance. Nick..........

Application created in new version of .NET (3.0 or 3.5) can use the library created in older version of .NET(i.e.-1.0 or 2.0)?
Hi All, I am using Visual Studio .NET compiler for compiling my application . We have plugins (as library) which the user can write by their own in .NET . We are building our code in Visual Studio 2005 but we have already some plug-ins which are written in previous versions of Visual Studio (i.e. 2002 and 2003). Is these plug-ins will work with the new build of the application or I need to build these plug-ins as well in Visual Studio .NET 2005. These plugins are created as library. Is their any differences between .NET 1.0, 2.0 and 3.0 because of which the old libraries (created in o...

Net framework 2.0 installled on my server, can i replace it with .net framework 3.5
Hi all I have .Net framework 2.0 installled on my server,  and  websites are currently running  that are developed in .net 2.,  my  clinets wants .net framework 3.5 or  if i installed .net framewrok 3.5 in my server, there is any problems to my previous  web application that was hosted using .net framework 2.0   if yes ,how  can i installed .net framewrok 3.5 adilahmed Don't worry...just install it. .net 3.5 is incremental and works on top of 2.0. Any existing websites will reference the 2.0 binaries and will still work.   Also, I...

Differences between .net 1, .net 1.1, .net 2.0 and .net 3.0
Hi, This seems to be a common question, but i havent got an answer yet:(Can, any one please explain me the differences between these versions.If you keep your feet firmly on the ground, you'll have trouble putting on your pants! Have a look into this links http://en.wikipedia.org/wiki/.NET_Framework http://blogs.msdn.com/mohammadakif/archive/2006/12/03/net-3-0-different-versions-of-the-net-framework.aspx http://www.codeproject.com/aspnet/ComparisonASP1xASP20.aspAshok Rajawww.iGold.inDon't forget to click "Mark as Answer" on the post that helped you. This credits that m...

Installing .net 2.0 on the Provisioning Web Server (HMC 3.5)
I have one question, can i install .net framework 2.0 on the PROV server not on MPS server itself ? i need application that run on .net 2.0 and i will install it on a different site than default site on PROV server, and enable 2.0 on that site leaving default site on .net 1.1, does this affect MPS provision procedures that came from PROV server to MPS server (passing XML request to MPS engine)? MY enviroment is HMC 3.5 with FP1 and all servers are windows 2003 SP1.   Hi, It should be safe to install .NET 2.0 on PROV01 as you described..Thanks,Dmitri Gaikovoi Thanks alot for your ...

Web resources about - Deploy an Ajax 2.0 net 3.5 web app developed on vista vs2008 to 2003 server - asp.net.ajax-discussion

Least developed country - Wikipedia, the free encyclopedia
Least developed country ( LDC ) is the name given to a country which, according to the United Nations , exhibits the lowest indicators of socioeconomic ...

Developed country - Wikipedia, the free encyclopedia
A developed country can be defined through economic growth and security. Most commonly the criteria for evaluating the degree of development ...

Koloid - hand developed photography on the App Store on iTunes
Get Koloid - hand developed photography on the App Store. See screenshots and ratings, and read customer reviews.

All sizes - Buzzword Bingo: Crowdsourcing = Content developed by a group of people - Flickr - Photo Sharing ...
Flickr is almost certainly the best online photo management and sharing application in the world. Show off your favorite photos and videos to ...

New Method Developed to Detect Ebola Virus - WCS - YouTube
http://www.wcs.org A group of international scientists led by the Wildlife Conservation Society (WCS) have developed a new method to study Ebola ...

Islamic State and Jabhat al-Nusra seize wheat farms developed with Aussie aid
Thousands of hectares of wheat-farming land in Syria and Ira benefiting from a long term multimillion-dollar Australian aid program are under ...

High visibility clothing for females developed by Queensland woman
While they might be getting good salaries, women in the mining industry haven't had good options when it comes to their work uniforms.

US, Israel developed Flame computer virus: report
US, Israel developed Flame computer virus: report

Australia ranked worst-performing developed nation on climate performance
Australia is the worst-performing developed nation when it comes to climate-change action, a survey by European non-government organisations ...

Eye-control software developed for phones, tablets
Eye-control software developed for phones, tablets

Resources last updated: 12/7/2015 5:53:58 AM